Scala Standard Library2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  This is the documentation for the Scala standard library.

  This is the documentation for the Scala standard library.

  #### Package structure

  The scala package contains core types like `Int`, `Float`, `Array` or `Option` which are accessible in all Scala compilation units without explicit qualification or imports.

  Notable packages include:

  - `scala.collection` and its sub-packages contain Scala's collections framework
    - `scala.collection.immutable` - Immutable, sequential data-structures such as `Vector`, `List`, `Range`, `HashMap` or `HashSet`
    - `scala.collection.mutable` - Mutable, sequential data-structures such as `ArrayBuffer`, `StringBuilder`, `HashMap` or `HashSet`
    - `scala.collection.concurrent` - Mutable, concurrent data-structures such as `TrieMap`
    - `scala.collection.parallel.immutable` - Immutable, parallel data-structures such as `ParVector`, `ParRange`, `ParHashMap` or `ParHashSet`
    - `scala.collection.parallel.mutable` - Mutable, parallel data-structures such as `ParArray`, `ParHashMap`, `ParTrieMap` or `ParHashSet`
  - `scala.concurrent` - Primitives for concurrent programming such as `Futures` and `Promises`
  - `scala.io` - Input and output operations
  - `scala.math` - Basic math functions and additional numeric types like `BigInt` and `BigDecimal`
  - `scala.sys` - Interaction with other processes and the operating system
  - `scala.util.matching` - Regular expressions

  Other packages exist. See the complete list on the right.

  Additional parts of the standard library are shipped as separate libraries. These include:

  - `scala.reflect` - Scala's reflection API (scala-reflect.jar)
  - `scala.xml` - XML parsing, manipulation, and serialization (scala-xml.jar)
  - `scala.swing` - A convenient wrapper around Java's GUI framework called Swing (scala-swing.jar)
  - `scala.util.parsing` - Parser combinators (scala-parser-combinators.jar)

  #### Automatic imports

  Identifiers in the scala package and the `scala.Predef` object are always in scope by default.

  Some of these identifiers are type aliases provided as shortcuts to commonly used classes. For example, `List` is an alias for `scala.collection.immutable.List`.

  Other aliases refer to classes provided by the underlying platform. For example, on the JVM, `String` is an alias for `java.lang.String`.

  Definition Classes
    root
-  package scala

  Core Scala types.

  Core Scala types. They are always available without an explicit import.

  Definition Classes
    root
-  package collection

  Contains the base traits and objects needed to use and extend Scala's collection library.

  Contains the base traits and objects needed to use and extend Scala's collection library.

  #### Guide

  A detailed guide for using the collections library is available at http://docs.scala-lang.org/overviews/collections/introduction.html. Developers looking to extend the collections library can find a description of its architecture at http://docs.scala-lang.org/overviews/core/architecture-of-scala-collections.html.

  #### Using Collections

  It is convenient to treat all collections as either a scala.collection.Traversable or scala.collection.Iterable, as these traits define the vast majority of operations on a collection.

  Collections can, of course, be treated as specifically as needed, and the library is designed to ensure that the methods that transform collections will return a collection of the same type:

      scala> val array = Array(1,2,3,4,5,6)
      array: Array[Int] = Array(1, 2, 3, 4, 5, 6)

      scala> array map { _.toString }
      res0: Array[String] = Array(1, 2, 3, 4, 5, 6)

      scala> val list = List(1,2,3,4,5,6)
      list: List[Int] = List(1, 2, 3, 4, 5, 6)

      scala> list map { _.toString }
      res1: List[String] = List(1, 2, 3, 4, 5, 6)

  #### Creating Collections

  The most common way to create a collection is to use its companion object as a factory. The three most commonly used collections are scala.collection.Seq, scala.collection.immutable.Set, and scala.collection.immutable.Map. They can be used directly as shown below since their companion objects are all available as type aliases in either the scala package or in `scala.Predef`. New collections are created like this:

      scala> val seq = Seq(1,2,3,4,1)
      seq: Seq[Int] = List(1, 2, 3, 4, 1)

      scala> val set = Set(1,2,3,4,1)
      set: scala.collection.immutable.Set[Int] = Set(1, 2, 3, 4)

      scala> val map = Map(1 -> "one", 2 -> "two", 3 -> "three", 2 -> "too")
      map: scala.collection.immutable.Map[Int,String] = Map(1 -> one, 2 -> too, 3 -> three)

  It is also typical to prefer the scala.collection.immutable collections over those in scala.collection.mutable; the types aliased in the `scala.Predef` object are the immutable versions.

  Also note that the collections library was carefully designed to include several implementations of each of the three basic collection types. These implementations have specific performance characteristics which are described in the guide.

  The concrete parallel collections also have specific performance characteristics which are described in the parallel collections guide

  ##### Converting to and from Java Collections

  The scala.collection.JavaConverters object provides a collection of decorators that allow converting between Scala and Java collections using `asScala` and `asJava` methods.

  Definition Classes
    scala
-  package mutable
  Definition Classes
    collection
- AbstractBuffer
- AbstractIterable
- AbstractMap
- AbstractSeq
- AbstractSet
- AbstractSortedMap
- AbstractSortedSet
- AnyRefMap
- ArrayBuffer
- ArrayBuilder
- ArrayLike
- ArrayOps
- ArraySeq
- ArrayStack
- BitSet
- Buffer
- BufferLike
- BufferProxy
- Builder
- Cloneable
- DefaultEntry
- DefaultMapModel
- DoubleLinkedList
- DoubleLinkedListLike
- FlatHashTable
- GrowingBuilder
- HashEntry
- HashMap
- HashSet
- HashTable
- History
- ImmutableMapAdaptor
- ImmutableSetAdaptor
- IndexedSeq
- IndexedSeqLike
- IndexedSeqOptimized
- IndexedSeqView
- Iterable
- LazyBuilder
- LinearSeq
- LinkedEntry
- LinkedHashMap
- LinkedHashSet
- LinkedList
- LinkedListLike
- ListBuffer
- ListMap
- LongMap
- Map
- MapBuilder
- MapLike
- MapProxy
- MultiMap
- MutableList
- ObservableBuffer
- ObservableMap
- ObservableSet
- OpenHashMap
- PriorityQueue
- PriorityQueueProxy
- Publisher
- Queue
- QueueProxy
- ResizableArray
- ReusableBuilder
- RevertibleHistory
- Seq
- SeqLike
- Set
- SetBuilder
- SetLike
- SetProxy
- SortedMap
- SortedSet
- Stack
- StackProxy
- StringBuilder
- Subscriber
- SynchronizedBuffer
- SynchronizedMap
- SynchronizedPriorityQueue
- SynchronizedQueue
- SynchronizedSet
- SynchronizedStack
- Traversable
- TreeMap
- TreeSet
- Undoable
- UnrolledBuffer
- WeakHashMap
- WrappedArray
- WrappedArrayBuilder

c

scala.collection.mutable

# LinkedHashSet 

###
Companion object LinkedHashSet

#### class LinkedHashSet[A] extends AbstractSet[A] with Set[A] with GenericSetTemplate[A, LinkedHashSet] with SetLike[A, LinkedHashSet[A]] with HashTable[A, Entry[A]] with Serializable

This class implements mutable sets using a hashtable. The iterator and all traversal methods of this class visit elements in the order they were inserted.

A

  the type of the elements contained in this set.

Annotations
  @SerialVersionUID()
Source
  LinkedHashSet.scala
Version

  2.0, 31/12/2006

Since

  1

Linear Supertypes
Serializable, java.io.Serializable, HashTable[A, LinkedHashSet.Entry[A]], HashUtils[A], AbstractSet[A], Set[A], SetLike[A, LinkedHashSet[A]], Cloneable[Set[A]], scala.Cloneable, java.lang.Cloneable, Shrinkable[A], Builder[A, LinkedHashSet[A]], Growable[A], Clearable, Scriptable[A], collection.Set[A], collection.SetLike[A, LinkedHashSet[A]], Subtractable[A, LinkedHashSet[A]], GenSet[A], GenericSetTemplate[A, LinkedHashSet], GenSetLike[A, LinkedHashSet[A]], (A) ⇒ Boolean, AbstractIterable[A], Iterable[A], Traversable[A], Mutable, collection.AbstractIterable[A], collection.Iterable[A], IterableLike[A, LinkedHashSet[A]], Equals, GenIterable[A], GenIterableLike[A, LinkedHashSet[A]], AbstractTraversable[A], collection.Traversable[A], GenTraversable[A], GenericTraversableTemplate[A, LinkedHashSet], TraversableLike[A, LinkedHashSet[A]], GenTraversableLike[A, LinkedHashSet[A]], Parallelizable[A, ParSet[A]], TraversableOnce[A], GenTraversableOnce[A], FilterMonadic[A, LinkedHashSet[A]], HasNewBuilder[A, scala.collection.mutable.LinkedHashSet[A] @scala.annotation.unchecked.uncheckedVariance], AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. LinkedHashSet
2. Serializable
3. Serializable
4. HashTable
5. HashUtils
6. AbstractSet
7. Set
8. SetLike
9. Cloneable
10. Cloneable
11. Cloneable
12. Shrinkable
13. Builder
14. Growable
15. Clearable
16. Scriptable
17. Set
18. SetLike
19. Subtractable
20. GenSet
21. GenericSetTemplate
22. GenSetLike
23. Function1
24. AbstractIterable
25. Iterable
26. Traversable
27. Mutable
28. AbstractIterable
29. Iterable
30. IterableLike
31. Equals
32. GenIterable
33. GenIterableLike
34. AbstractTraversable
35. Traversable
36. GenTraversable
37. GenericTraversableTemplate
38. TraversableLike
39. GenTraversableLike
40. Parallelizable
41. TraversableOnce
42. GenTraversableOnce
43. FilterMonadic
44. HasNewBuilder
45. AnyRef
46. Any

Implicitly

1. by CollectionsHaveToParArray
2. by MonadOps
3. by any2stringadd
4. by StringFormat
5. by Ensuring
6. by ArrowAssoc
7. by alternateImplicit

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new LinkedHashSet()

### Type Members

1.  class WithFilter extends FilterMonadic[A, Repr]

   A class supporting filtered operations.

   A class supporting filtered operations. Instances of this class are returned by method `withFilter`.

   Definition Classes
     TraversableLike
2.  type Entry = LinkedHashSet.Entry[A]
3.  type Self = LinkedHashSet[A]

   The type implementing this traversable

   The type implementing this traversable

   Attributes
     protected[this]
   Definition Classes
     TraversableLike

### Value Members

1.  final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     AnyRef → Any
2.  final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any
3.  def &(that: GenSet[A]): LinkedHashSet[A]

   Computes the intersection between this set and another set.

   Computes the intersection between this set and another set.

   Note: Same as `intersect`.

   that

     the set to intersect with.

   returns

     a new set consisting of all elements that are both in this set and in the given set `that`.

   Definition Classes
     GenSetLike
4.  def &~(that: GenSet[A]): LinkedHashSet[A]

   The difference of this set and another set.

   The difference of this set and another set.

   Note: Same as `diff`.

   that

     the set of elements to exclude.

   returns

     a set containing those elements of this set that are not also contained in the given set `that`.

   Definition Classes
     GenSetLike
5.  def +(elem1: A, elem2: A, elems: A*): LinkedHashSet[A]

   Creates a new set consisting of all the elements of this set and two or more specified elements.

   Creates a new set consisting of all the elements of this set and two or more specified elements.

   Note that duplicates (elements for which `equals` yields true) will be removed, but it is not specified whether it will be an element of this set or a newly added element.

   elem1

     the first element to add.

   elem2

     the second element to add.

   elems

     the remaining elements to add.

   returns

     a new set consisting of all the elements of this set, `elem1`, `elem2` and those in `elems`.

   Definition Classes
     SetLike → SetLike
   Annotations
     @migration
   Migration

     (Changed in version 2.8.0) `+` creates a new set. Use `+=` to add an element to this set and return that set itself.

6.  def +(elem: A): LinkedHashSet[A]

   Creates a new set consisting of all the elements of this set and `elem`.

   Creates a new set consisting of all the elements of this set and `elem`.

   Note that duplicates (elements for which `equals` yields true) will be removed, but it is not specified whether it will be an element of this set or a newly added element.

   elem

     the element to add.

   returns

     a new set consisting of elements of this set and `elem`.

   Definition Classes
     SetLike → SetLike → GenSetLike
   Annotations
     @migration
   Migration

     (Changed in version 2.8.0) `+` creates a new set. Use `+=` to add an element to this set and return that set itself.

7.  def ++(xs: GenTraversableOnce[A]): LinkedHashSet[A]

   Creates a new set consisting of all the elements of this set and those provided by the specified traversable object.

   Creates a new set consisting of all the elements of this set and those provided by the specified traversable object.

   Note that duplicates (elements for which `equals` yields true) will be removed, but it is not specified whether it will be an element of this set or a newly added element.

   xs

     the traversable object.

   returns

     a new set consisting of elements of this set and those in `xs`.

   Definition Classes
     SetLike → SetLike
   Annotations
     @migration
   Migration

     (Changed in version 2.8.0) `++` creates a new set. Use `++=` to add elements to this set and return that set itself.

8.  def ++[B >: A, That](that: GenTraversableOnce[B])(implicit bf: CanBuildFrom[LinkedHashSet[A], B, That]): That

   Returns a new traversable collection containing the elements from the left hand operand followed by the elements from the right hand operand.

   Returns a new traversable collection containing the elements from the left hand operand followed by the elements from the right hand operand. The element type of the traversable collection is the most specific superclass encompassing the element types of the two operands.

   B

     the element type of the returned collection.

   That

     the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

   that

     the traversable to append.

   bf

     an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

   returns

     a new collection of type `That` which contains all elements of this traversable collection followed by all elements of `that`.

   Definition Classes
     TraversableLike → GenTraversableLike
9.  def ++:[B >: A, That](that: collection.Traversable[B])(implicit bf: CanBuildFrom[LinkedHashSet[A], B, That]): That

   As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

   As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

   It differs from `++` in that the right operand determines the type of the resulting collection rather than the left one. Mnemonic: the COLon is on the side of the new COLlection type.

   Example:

       scala> val x = List(1)
       x: List[Int] = List(1)

       scala> val y = LinkedList(2)
       y: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

       scala> val z = x ++: y
       z: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

   This overload exists because: for the implementation of `++:` we should reuse that of `++` because many collections override it with more efficient versions.

   Since `TraversableOnce` has no `++` method, we have to implement that directly, but `Traversable` and down can use the overload.

   B

     the element type of the returned collection.

   That

     the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

   that

     the traversable to append.

   bf

     an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

   returns

     a new collection of type `That` which contains all elements of this traversable collection followed by all elements of `that`.

   Definition Classes
     TraversableLike
10.  def ++:[B](that: TraversableOnce[B]): LinkedHashSet[B]

    [use case] As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

    [use case]

    As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

    It differs from `++` in that the right operand determines the type of the resulting collection rather than the left one. Mnemonic: the COLon is on the side of the new COLlection type.

    Example:

        scala> val x = List(1)
        x: List[Int] = List(1)

        scala> val y = LinkedList(2)
        y: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

        scala> val z = x ++: y
        z: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

    B

      the element type of the returned collection.

    that

      the traversable to append.

    returns

      a new linked hash set which contains all elements of this linked hash set followed by all elements of `that`.

    Definition Classes
      TraversableLike
     Full Signature

    #### def ++:[B >: A, That](that: TraversableOnce[B])(implicit bf: CanBuildFrom[LinkedHashSet[A], B, That]): That

11.  def ++=(xs: TraversableOnce[A]): LinkedHashSet.this.type

    adds all elements produced by a TraversableOnce to this growable collection.

    adds all elements produced by a TraversableOnce to this growable collection.

    xs

      the TraversableOnce producing the elements to add.

    returns

      the growable collection itself.

    Definition Classes
      Growable
12.  def +=(elem: A): LinkedHashSet.this.type

    Adds a single element to the set.

    Adds a single element to the set.

    elem

      the element to be added.

    returns

      the builder itself.

    Definition Classes
      LinkedHashSet → SetLike → Builder → Growable
    Annotations
      @deprecatedOverriding( message = ... , since = "2.11.0" )
13.  def +=(elem1: A, elem2: A, elems: A*): LinkedHashSet.this.type

    adds two or more elements to this growable collection.

    adds two or more elements to this growable collection.

    elem1

      the first element to add.

    elem2

      the second element to add.

    elems

      the remaining elements to add.

    returns

      the growable collection itself

    Definition Classes
      Growable
14.  def -(elem1: A, elem2: A, elems: A*): LinkedHashSet[A]

    Creates a new set consisting of all the elements of this set except the two or more specified elements.

    Creates a new set consisting of all the elements of this set except the two or more specified elements.

    elem1

      the first element to remove.

    elem2

      the second element to remove.

    elems

      the remaining elements to remove.

    returns

      a new set consisting of all the elements of this set except `elem1`, `elem2` and `elems`.

    Definition Classes
      SetLike → Subtractable
    Annotations
      @migration
    Migration

      (Changed in version 2.8.0) `-` creates a new set. Use `-=` to remove an element from this set and return that set itself.

15.  def -(elem: A): LinkedHashSet[A]

    Creates a new set consisting of all the elements of this set except `elem`.

    Creates a new set consisting of all the elements of this set except `elem`.

    elem

      the element to remove.

    returns

      a new set consisting of all the elements of this set except `elem`.

    Definition Classes
      SetLike → SetLike → Subtractable → GenSetLike
    Annotations
      @migration
    Migration

      (Changed in version 2.8.0) `-` creates a new set. Use `-=` to remove an element from this set and return that set itself.

16.  def --(xs: GenTraversableOnce[A]): LinkedHashSet[A]

    Creates a new set consisting of all the elements of this set except those provided by the specified traversable object.

    Creates a new set consisting of all the elements of this set except those provided by the specified traversable object.

    xs

      the traversable object.

    returns

      a new set consisting of all the elements of this set except elements from `xs`.

    Definition Classes
      SetLike → Subtractable
    Annotations
      @migration
    Migration

      (Changed in version 2.8.0) `--` creates a new set. Use `--=` to remove elements from this set and return that set itself.

17.  def --=(xs: TraversableOnce[A]): LinkedHashSet.this.type

    Removes all elements produced by an iterator from this shrinkable collection.

    Removes all elements produced by an iterator from this shrinkable collection.

    xs

      the iterator producing the elements to remove.

    returns

      the shrinkable collection itself

    Definition Classes
      Shrinkable
18.  def -=(elem: A): LinkedHashSet.this.type

    Removes a single element from this linked hash set.

    Removes a single element from this linked hash set.

    elem

      the element to remove.

    returns

      the linked hash set itself

    Definition Classes
      LinkedHashSet → SetLike → Shrinkable
    Annotations
      @deprecatedOverriding( message = ... , since = "2.11.0" )
19.  def -=(elem1: A, elem2: A, elems: A*): LinkedHashSet.this.type

    Removes two or more elements from this shrinkable collection.

    Removes two or more elements from this shrinkable collection.

    elem1

      the first element to remove.

    elem2

      the second element to remove.

    elems

      the remaining elements to remove.

    returns

      the shrinkable collection itself

    Definition Classes
      Shrinkable
20.  def ->[B](y: B): (LinkedHashSet[A], B)
    Implicit
      This member is added by an implicit conversion from LinkedHashSet[A] to ArrowAssoc[LinkedHashSet[A]] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc
    Annotations
      @inline()
21.  def /:[B](z: B)(op: (B, A) ⇒ B): B

    Applies a binary operator to a start value and all elements of this traversable or iterator, going left to right.

    Applies a binary operator to a start value and all elements of this traversable or iterator, going left to right.

    Note: `/:` is alternate syntax for `foldLeft`; `z /: xs` is the same as `xs foldLeft z`.

    Examples:

    Note that the folding function used to compute b is equivalent to that used to compute c.

        scala> val a = List(1,2,3,4)
        a: List[Int] = List(1, 2, 3, 4)

        scala> val b = (5 /: a)(_+_)
        b: Int = 15

        scala> val c = (5 /: a)((x,y) => x + y)
        c: Int = 15

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered or the operator is associative and commutative.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this traversable or iterator, going left to right with the start value `z` on the left:

          op(...op(op(z, x_1), x_2), ..., x_n)

      where `x1, ..., xn` are the elements of this traversable or iterator.

    Definition Classes
      TraversableOnce → GenTraversableOnce
22.  def :\[B](z: B)(op: (A, B) ⇒ B): B

    Applies a binary operator to all elements of this traversable or iterator and a start value, going right to left.

    Applies a binary operator to all elements of this traversable or iterator and a start value, going right to left.

    Note: `:\` is alternate syntax for `foldRight`; `xs :\ z` is the same as `xs foldRight z`.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered or the operator is associative and commutative.

    Examples:

    Note that the folding function used to compute b is equivalent to that used to compute c.

        scala> val a = List(1,2,3,4)
        a: List[Int] = List(1, 2, 3, 4)

        scala> val b = (a :\ 5)(_+_)
        b: Int = 15

        scala> val c = (a :\ 5)((x,y) => x + y)
        c: Int = 15

    B

      the result type of the binary operator.

    z

      the start value

    op

      the binary operator

    returns

      the result of inserting `op` between consecutive elements of this traversable or iterator, going right to left with the start value `z` on the right:

          op(x_1, op(x_2, ... op(x_n, z)...))

      where `x1, ..., xn` are the elements of this traversable or iterator.

    Definition Classes
      TraversableOnce → GenTraversableOnce
23.  final def ==(arg0: Any): Boolean

    The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

    The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any
24.  val _loadFactor: Int
    Attributes
      protected
    Definition Classes
      HashTable
    Annotations
      @transient()
25.  def add(elem: A): Boolean

    Adds an element to this linked hash set.

    Adds an element to this linked hash set.

    elem

      the element to be added

    returns

      `true` if the element was not yet present in the set, `false` otherwise.

    Definition Classes
      LinkedHashSet → SetLike
26.  def addEntry(e: LinkedHashSet.Entry[A]): Unit

    Add entry to table pre: no entry with same key exists

    Add entry to table pre: no entry with same key exists

    Attributes
      protected
    Definition Classes
      HashTable
    Annotations
      @deprecatedOverriding( message = ... , since = "2.11.0" )
27.  def addString(b: scala.StringBuilder): scala.StringBuilder

    Appends all elements of this traversable or iterator to a string builder.

    Appends all elements of this traversable or iterator to a string builder. The written text consists of the string representations (w.r.t. the method `toString`) of all elements of this traversable or iterator without any separator string.

    Example:

        scala> val a = List(1,2,3,4)
        a: List[Int] = List(1, 2, 3, 4)

        scala> val b = new StringBuilder()
        b: StringBuilder =

        scala> val h = a.addString(b)
        h: StringBuilder = 1234

    b

      the string builder to which elements are appended.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableOnce
28.  def addString(b: scala.StringBuilder, sep: String): scala.StringBuilder

    Appends all elements of this traversable or iterator to a string builder using a separator string.

    Appends all elements of this traversable or iterator to a string builder using a separator string. The written text consists of the string representations (w.r.t. the method `toString`) of all elements of this traversable or iterator, separated by the string `sep`.

    Example:

        scala> val a = List(1,2,3,4)
        a: List[Int] = List(1, 2, 3, 4)

        scala> val b = new StringBuilder()
        b: StringBuilder =

        scala> a.addString(b, ", ")
        res0: StringBuilder = 1, 2, 3, 4

    b

      the string builder to which elements are appended.

    sep

      the separator string.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableOnce
29.  def addString(b: scala.StringBuilder, start: String, sep: String, end: String): scala.StringBuilder

    Appends all elements of this traversable or iterator to a string builder using start, end, and separator strings.

    Appends all elements of this traversable or iterator to a string builder using start, end, and separator strings. The written text begins with the string `start` and ends with the string `end`. Inside, the string representations (w.r.t. the method `toString`) of all elements of this traversable or iterator are separated by the string `sep`.

    Example:

        scala> val a = List(1,2,3,4)
        a: List[Int] = List(1, 2, 3, 4)

        scala> val b = new StringBuilder()
        b: StringBuilder =

        scala> a.addString(b , "List(" , ", " , ")")
        res5: StringBuilder = List(1, 2, 3, 4)

    b

      the string builder to which elements are appended.

    start

      the starting string.

    sep

      the separator string.

    end

      the ending string.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableOnce
30.  def aggregate[B](z: ⇒ B)(seqop: (B, A) ⇒ B, combop: (B, B) ⇒ B): B

    Aggregates the results of applying an operator to subsequent elements.

    Aggregates the results of applying an operator to subsequent elements.

    This is a more general form of `fold` and `reduce`. It is similar to `foldLeft` in that it doesn't require the result to be a supertype of the element type. In addition, it allows parallel collections to be processed in chunks, and then combines the intermediate results.

    `aggregate` splits the traversable or iterator into partitions and processes each partition by sequentially applying `seqop`, starting with `z` (like `foldLeft`). Those intermediate results are then combined by using `combop` (like `fold`). The implementation of this operation may operate on an arbitrary number of collection partitions (even 1), so `combop` may be invoked an arbitrary number of times (even 0).

    As an example, consider summing up the integer values of a list of chars. The initial value for the sum is 0. First, `seqop` transforms each input character to an Int and adds it to the sum (of the partition). Then, `combop` just needs to sum up the intermediate results of the partitions:

        List('a', 'b', 'c').aggregate(0)({ (sum, ch) => sum + ch.toInt }, { (p1, p2) => p1 + p2 })

    B

      the type of accumulated results

    z

      the initial value for the accumulated result of the partition - this will typically be the neutral element for the `seqop` operator (e.g. `Nil` for list concatenation or `0` for summation) and may be evaluated more than once

    seqop

      an operator used to accumulate results within a partition

    combop

      an associative operator used to combine results from different partitions

    Definition Classes
      TraversableOnce → GenTraversableOnce
31.  def alwaysInitSizeMap: Boolean
    Attributes
      protected
    Definition Classes
      HashTable
32.  def andThen[A](g: (Boolean) ⇒ A): (A) ⇒ A

    Composes two instances of Function1 in a new Function1, with this function applied first.

    Composes two instances of Function1 in a new Function1, with this function applied first.

    A

      the result type of function `g`

    g

      a function R => A

    returns

      a new function `f` such that `f(x) == g(apply(x))`

    Definition Classes
      Function1
    Annotations
      @unspecialized()
33.  def apply(elem: A): Boolean

    Tests if some element is contained in this set.

    Tests if some element is contained in this set.

    This method is equivalent to `contains`. It allows sets to be interpreted as predicates.

    elem

      the element to test for membership.

    returns

      `true` if `elem` is contained in this set, `false` otherwise.

    Definition Classes
      GenSetLike → Function1
34.  final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown

      `ClassCastException` if the receiver object is not an instance of the erasure of type `T0`.

35.  def calcSizeMapSize(tableLength: Int): Int
    Attributes
      protected
    Definition Classes
      HashTable
    Annotations
      @deprecatedOverriding( message = ... , since = "2.11.0" )
36.  def canEqual(that: Any): Boolean

    Method called from equality methods, so that user-defined subclasses can refuse to be equal to other collections of the same kind.

    Method called from equality methods, so that user-defined subclasses can refuse to be equal to other collections of the same kind.

    that

      The object with which this iterable collection should be compared

    returns

      `true`, if this iterable collection can possibly equal `that`, `false` otherwise. The test takes into consideration only the run-time types of objects but ignores their elements.

    Definition Classes
      IterableLike → Equals
37.  def clear(): Unit

    Removes all elements from the set.

    Removes all elements from the set. After this operation is completed, the set will be empty.

    Definition Classes
      LinkedHashSet → SetLike → Builder → Growable → Clearable
38.  def clearTable(): Unit

    Remove all entries from table

    Remove all entries from table

    Attributes
      protected
    Definition Classes
      HashTable
39.  def clone(): LinkedHashSet[A]

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Definition Classes
      SetLike → Cloneable → AnyRef
    Note

      not specified by SLS as a member of AnyRef

40.  def collect[B](pf: PartialFunction[A, B]): LinkedHashSet[B]

    [use case] Builds a new collection by applying a partial function to all elements of this linked hash set on which the function is defined.

    [use case]

    Builds a new collection by applying a partial function to all elements of this linked hash set on which the function is defined.

    B

      the element type of the returned collection.

    pf

      the partial function which filters and maps the linked hash set.

    returns

      a new linked hash set resulting from applying the given partial function `pf` to each element on which it is defined and collecting the results. The order of the elements is preserved.

    Definition Classes
      TraversableLike → GenTraversableLike
     Full Signature

    #### def collect[B, That](pf: PartialFunction[A, B])(implicit bf: CanBuildFrom[LinkedHashSet[A], B, That]): That

41.  def collectFirst[B](pf: PartialFunction[A, B]): Option[B]

    Finds the first element of the traversable or iterator for which the given partial function is defined, and applies the partial function to it.

    Finds the first element of the traversable or iterator for which the given partial function is defined, and applies the partial function to it.

    Note: may not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    pf

      the partial function

    returns

      an option value containing pf applied to the first value for which it is defined, or `None` if none exists.

    Definition Classes
      TraversableOnce
    Example:

    1. `Seq("a", 1, 5L).collectFirst({ case x: Int => x*10 }) = Some(10)`

42.  def companion: GenericCompanion[LinkedHashSet]

    The factory companion object that builds instances of class `LinkedHashSet`.

    The factory companion object that builds instances of class `LinkedHashSet`. (or its `Iterable` superclass where class `LinkedHashSet` is not a `Seq`.)

    Definition Classes
      LinkedHashSet → Set → Set → GenSet → Iterable → Traversable → Iterable → GenIterable → Traversable → GenTraversable → GenericTraversableTemplate
43.  def compose[A](g: (A) ⇒ A): (A) ⇒ Boolean

    Composes two instances of Function1 in a new Function1, with this function applied last.

    Composes two instances of Function1 in a new Function1, with this function applied last.

    A

      the type to which function `g` can be applied

    g

      a function A => T1

    returns

      a new function `f` such that `f(x) == apply(g(x))`

    Definition Classes
      Function1
    Annotations
      @unspecialized()
44.  def contains(elem: A): Boolean

    Tests if some element is contained in this set.

    Tests if some element is contained in this set.

    elem

      the element to test for membership.

    returns

      `true` if `elem` is contained in this set, `false` otherwise.

    Definition Classes
      LinkedHashSet → SetLike → GenSetLike
45.  def copyToArray(xs: Array[A], start: Int, len: Int): Unit

    [use case] Copies the elements of this linked hash set to an array.

    [use case]

    Copies the elements of this linked hash set to an array. Fills the given array `xs` with at most `len` elements of this linked hash set, starting at position `start`. Copying will stop once either the end of the current linked hash set is reached, or the end of the target array is reached, or `len` elements have been copied.

    xs

      the array to fill.

    start

      the starting index.

    len

      the maximal number of elements to copy.

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce
     Full Signature

    #### def copyToArray[B >: A](xs: Array[B], start: Int, len: Int): Unit

46.  def copyToArray(xs: Array[A]): Unit

    [use case] Copies the elements of this linked hash set to an array.

    [use case]

    Copies the elements of this linked hash set to an array. Fills the given array `xs` with values of this linked hash set. Copying will stop once either the end of the current linked hash set is reached, or the end of the target array is reached.

    xs

      the array to fill.

    Definition Classes
      TraversableOnce → GenTraversableOnce
     Full Signature

    #### def copyToArray[B >: A](xs: Array[B]): Unit

47.  def copyToArray(xs: Array[A], start: Int): Unit

    [use case] Copies the elements of this linked hash set to an array.

    [use case]

    Copies the elements of this linked hash set to an array. Fills the given array `xs` with values of this linked hash set, beginning at index `start`. Copying will stop once either the end of the current linked hash set is reached, or the end of the target array is reached.

    xs

      the array to fill.

    start

      the starting index.

    Definition Classes
      TraversableOnce → GenTraversableOnce
     Full Signature

    #### def copyToArray[B >: A](xs: Array[B], start: Int): Unit

48.  def copyToBuffer[B >: A](dest: Buffer[B]): Unit

    Copies all elements of this traversable or iterator to a buffer.

    Copies all elements of this traversable or iterator to a buffer.

    Note: will not terminate for infinite-sized collections.

    dest

      The buffer to which elements are copied.

    Definition Classes
      TraversableOnce
49.  def count(p: (A) ⇒ Boolean): Int

    Counts the number of elements in the traversable or iterator which satisfy a predicate.

    Counts the number of elements in the traversable or iterator which satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      the number of elements satisfying the predicate `p`.

    Definition Classes
      TraversableOnce → GenTraversableOnce
50.  def createNewEntry[B](key: A, dummy: B): Entry

    Creates new entry to be immediately inserted into the hashtable.

    Creates new entry to be immediately inserted into the hashtable. This method is guaranteed to be called only once and in case that the entry will be added. In other words, an implementation may be side-effecting.

    Attributes
      protected
    Definition Classes
      LinkedHashSet → HashTable
51.  def diff(that: GenSet[A]): LinkedHashSet[A]

    Computes the difference of this set and another set.

    Computes the difference of this set and another set.

    that

      the set of elements to exclude.

    returns

      a set containing those elements of this set that are not also contained in the given set `that`.

    Definition Classes
      SetLike → GenSetLike
52.  def drop(n: Int): LinkedHashSet[A]

    Selects all elements except first n ones.

    Selects all elements except first n ones.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    n

      the number of elements to drop from this iterable collection.

    returns

      a iterable collection consisting of all elements of this iterable collection except the first `n` ones, or else the empty iterable collection, if this iterable collection has less than `n` elements.

    Definition Classes
      IterableLike → TraversableLike → GenTraversableLike
53.  def dropRight(n: Int): LinkedHashSet[A]

    Selects all elements except last n ones.

    Selects all elements except last n ones.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    n

      The number of elements to take

    returns

      a iterable collection consisting of all elements of this iterable collection except the last `n` ones, or else the empty iterable collection, if this iterable collection has less than `n` elements.

    Definition Classes
      IterableLike
54.  def dropWhile(p: (A) ⇒ Boolean): LinkedHashSet[A]

    Drops longest prefix of elements that satisfy a predicate.

    Drops longest prefix of elements that satisfy a predicate.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      the longest suffix of this traversable collection whose first element does not satisfy the predicate `p`.

    Definition Classes
      TraversableLike → GenTraversableLike
55.  def elemEquals(key1: A, key2: A): Boolean
    Attributes
      protected
    Definition Classes
      HashTable
56.  def elemHashCode(key: A): Int
    Attributes
      protected
    Definition Classes
      HashUtils
57.  def empty: LinkedHashSet[A]
    Definition Classes
      GenericSetTemplate
58.  def ensuring(cond: (LinkedHashSet[A]) ⇒ Boolean, msg: ⇒ Any): LinkedHashSet[A]
    Implicit
      This member is added by an implicit conversion from LinkedHashSet[A] to Ensuring[LinkedHashSet[A]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
59.  def ensuring(cond: (LinkedHashSet[A]) ⇒ Boolean): LinkedHashSet[A]
    Implicit
      This member is added by an implicit conversion from LinkedHashSet[A] to Ensuring[LinkedHashSet[A]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
60.  def ensuring(cond: Boolean, msg: ⇒ Any): LinkedHashSet[A]
    Implicit
      This member is added by an implicit conversion from LinkedHashSet[A] to Ensuring[LinkedHashSet[A]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
61.  def ensuring(cond: Boolean): LinkedHashSet[A]
    Implicit
      This member is added by an implicit conversion from LinkedHashSet[A] to Ensuring[LinkedHashSet[A]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
62.  def entriesIterator: Iterator[LinkedHashSet.Entry[A]]

    An iterator returning all entries.

    An iterator returning all entries.

    Attributes
      protected
    Definition Classes
      HashTable
63.  final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`that`) is a reference to the receiver object (`this`).

    Tests whether the argument (`that`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef
64.  def equals(that: Any): Boolean

    Compares this set with another object for equality.

    Compares this set with another object for equality.

    Note: This operation contains an unchecked cast: if `that` is a set, it will assume with an unchecked cast that it has the same element type as this set. Any subsequent ClassCastException is treated as a `false` result.

    that

      the other object

    returns

      `true` if `that` is a set which contains the same elements as this set.

    Definition Classes
      GenSetLike → Equals → AnyRef → Any
65.  def exists(p: (A) ⇒ Boolean): Boolean

    Tests whether a predicate holds for at least one element of this iterable collection.

    Tests whether a predicate holds for at least one element of this iterable collection.

    Note: may not terminate for infinite-sized collections.

    p

      the predicate used to test elements.

    returns

      `false` if this iterable collection is empty, otherwise `true` if the given predicate `p` holds for some of the elements of this iterable collection, otherwise `false`

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce
66.  def filter(p: (A) ⇒ Boolean): LinkedHashSet[A]

    Selects all elements of this traversable collection which satisfy a predicate.

    Selects all elements of this traversable collection which satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      a new traversable collection consisting of all elements of this traversable collection that satisfy the given predicate `p`. The order of the elements is preserved.

    Definition Classes
      TraversableLike → GenTraversableLike
67.  def filterNot(p: (A) ⇒ Boolean): LinkedHashSet[A]

    Selects all elements of this traversable collection which do not satisfy a predicate.

    Selects all elements of this traversable collection which do not satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      a new traversable collection consisting of all elements of this traversable collection that do not satisfy the given predicate `p`. The order of the elements is preserved.

    Definition Classes
      TraversableLike → GenTraversableLike
68.  def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
    Note

      not specified by SLS as a member of AnyRef

69.  def find(p: (A) ⇒ Boolean): Option[A]

    Finds the first element of the iterable collection satisfying a predicate, if any.

    Finds the first element of the iterable collection satisfying a predicate, if any.

    Note: may not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    p

      the predicate used to test elements.

    returns

      an option value containing the first element in the iterable collection that satisfies `p`, or `None` if none exists.

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce
70.  def findEntry(key: A): LinkedHashSet.Entry[A]

    Find entry with given key in table, null if not found.

    Find entry with given key in table, null if not found.

    Attributes
      protected
    Definition Classes
      HashTable
    Annotations
      @deprecatedOverriding( message = ... , since = "2.11.0" )
71.  def findOrAddEntry[B](key: A, value: B): LinkedHashSet.Entry[A]

    Find entry with given key in table, or add new one if not found.

    Find entry with given key in table, or add new one if not found. May be somewhat faster then `findEntry`/`addEntry` pair as it computes entry's hash index only once. Returns entry found in table or null. New entries are created by calling `createNewEntry` method.

    Attributes
      protected
    Definition Classes
      HashTable
72.  var firstEntry: Entry
    Attributes
      protected
73.  def flatMap[B](f: (A) ⇒ GenTraversableOnce[B]): LinkedHashSet[B]

    [use case] Builds a new collection by applying a function to all elements of this linked hash set and using the elements of the resulting collections.

    [use case]

    Builds a new collection by applying a function to all elements of this linked hash set and using the elements of the resulting collections.

    For example:

        def getWords(lines: Seq[String]): Seq[String] = lines flatMap (line => line split "\\W+")

    The type of the resulting collection is guided by the static type of linked hash set. This might cause unexpected results sometimes. For example:

        // lettersOf will return a Seq[Char] of likely repeated letters, instead of a Set
        def lettersOf(words: Seq[String]) = words flatMap (word => word.toSet)

        // lettersOf will return a Set[Char], not a Seq
        def lettersOf(words: Seq[String]) = words.toSet flatMap (word => word.toSeq)

        // xs will be an Iterable[Int]
        val xs = Map("a" -> List(11,111), "b" -> List(22,222)).flatMap(_._2)

        // ys will be a Map[Int, Int]
        val ys = Map("a" -> List(1 -> 11,1 -> 111), "b" -> List(2 -> 22,2 -> 222)).flatMap(_._2)

    B

      the element type of the returned collection.

    f

      the function to apply to each element.

    returns

      a new linked hash set resulting from applying the given collection-valued function `f` to each element of this linked hash set and concatenating the results.

    Definition Classes
      TraversableLike → GenTraversableLike → FilterMonadic
     Full Signature

    #### def flatMap[B, That](f: (A) ⇒ GenTraversableOnce[B])(implicit bf: CanBuildFrom[LinkedHashSet[A], B, That]): That

74.  def flatten[B]: LinkedHashSet[B]

    [use case] Converts this linked hash set of traversable collections into a linked hash set formed by the elements of these traversable collections.

    [use case]

    Converts this linked hash set of traversable collections into a linked hash set formed by the elements of these traversable collections.

    The resulting collection's type will be guided by the static type of linked hash set. For example:

        val xs = List(
                   Set(1, 2, 3),
                   Set(1, 2, 3)
                 ).flatten
        // xs == List(1, 2, 3, 1, 2, 3)

        val ys = Set(
                   List(1, 2, 3),
                   List(3, 2, 1)
                 ).flatten
        // ys == Set(1, 2, 3)

    B

      the type of the elements of each traversable collection.

    returns

      a new linked hash set resulting from concatenating all element linked hash sets.

    Definition Classes
      GenericTraversableTemplate
     Full Signature

    #### def flatten[B](implicit asTraversable: (A) ⇒ GenTraversableOnce[B]): LinkedHashSet[B]

75.  def fold[A1 >: A](z: A1)(op: (A1, A1) ⇒ A1): A1

    Folds the elements of this traversable or iterator using the specified associative binary operator.

    Folds the elements of this traversable or iterator using the specified associative binary operator.

    The order in which operations are performed on elements is unspecified and may be nondeterministic.

    Note: will not terminate for infinite-sized collections.

    A1

      a type parameter for the binary operator, a supertype of `A`.

    z

      a neutral element for the fold operation; may be added to the result an arbitrary number of times, and must not change the result (e.g., `Nil` for list concatenation, 0 for addition, or 1 for multiplication).

    op

      a binary operator that must be associative.

    returns

      the result of applying the fold operator `op` between all the elements and `z`, or `z` if this traversable or iterator is empty.

    Definition Classes
      TraversableOnce → GenTraversableOnce
76.  def foldLeft[B](z: B)(op: (B, A) ⇒ B): B

    Applies a binary operator to a start value and all elements of this traversable or iterator, going left to right.

    Applies a binary operator to a start value and all elements of this traversable or iterator, going left to right.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered or the operator is associative and commutative.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this traversable or iterator, going left to right with the start value `z` on the left:

          op(...op(z, x_1), x_2, ..., x_n)

      where `x1, ..., xn` are the elements of this traversable or iterator. Returns `z` if this traversable or iterator is empty.

    Definition Classes
      TraversableOnce → GenTraversableOnce
77.  def foldRight[B](z: B)(op: (A, B) ⇒ B): B

    Applies a binary operator to all elements of this iterable collection and a start value, going right to left.

    Applies a binary operator to all elements of this iterable collection and a start value, going right to left.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this iterable collection, going right to left with the start value `z` on the right:

          op(x_1, op(x_2, ... op(x_n, z)...))

      where `x1, ..., xn` are the elements of this iterable collection. Returns `z` if this iterable collection is empty.

    Definition Classes
      IterableLike → TraversableOnce → GenTraversableOnce
78.  def forall(p: (A) ⇒ Boolean): Boolean

    Tests whether a predicate holds for all elements of this iterable collection.

    Tests whether a predicate holds for all elements of this iterable collection.

    Note: may not terminate for infinite-sized collections.

    p

      the predicate used to test elements.

    returns

      `true` if this iterable collection is empty or the given predicate `p` holds for all elements of this iterable collection, otherwise `false`.

    Definition Classes
      IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce
79.  def foreach(f: (A) ⇒ Unit): Unit

    [use case] Applies a function `f` to all elements of this linked hash set.

    [use case]

    Applies a function `f` to all elements of this linked hash set.

    Note: this method underlies the implementation of most other bulk operations. Subclasses should re-implement this method if a more efficient implementation exists.

    f

      the function that is applied for its side-effect to every element. The result of function `f` is discarded.

    Definition Classes
      LinkedHashSet → IterableLike → GenericTraversableTemplate → TraversableLike → GenTraversableLike → TraversableOnce → GenTraversableOnce → FilterMonadic
     Full Signature

    #### def foreach[U](f: (A) ⇒ U): Unit

80.  def foreachEntry[U](f: (Entry) ⇒ U): Unit

    Avoid iterator for a 2x faster traversal.

    Avoid iterator for a 2x faster traversal.

    Attributes
      protected
    Definition Classes
      LinkedHashSet → HashTable
81.  def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit
      This member is added by an implicit conversion from LinkedHashSet[A] to StringFormat[LinkedHashSet[A]] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
82.  def genericBuilder[B]: Builder[B, LinkedHashSet[B]]

    The generic builder that builds instances of Traversable at arbitrary element types.

    The generic builder that builds instances of Traversable at arbitrary element types.

    Definition Classes
      GenericTraversableTemplate
83.  final def getClass(): Class[_]

    Returns the runtime class representation of the object.

    Returns the runtime class representation of the object.

    returns

      a class object corresponding to the runtime type of the receiver.

    Definition Classes
      AnyRef → Any
84.  def groupBy[K](f: (A) ⇒ K): immutable.Map[K, LinkedHashSet[A]]

    Partitions this traversable collection into a map of traversable collections according to some discriminator function.

    Partitions this traversable collection into a map of traversable collections according to some discriminator function.

    Note: this method is not re-implemented by views. This means when applied to a view it will always force the view and return a new traversable collection.

    K

      the type of keys returned by the discriminator function.

    f

      the discriminator function.

    returns

      A map from keys to traversable collections such that the following invariant holds:

          (xs groupBy f)(k) = xs filter (x => f(x) == k)

      That is, every key `k` is bound to a traversable collection of those elements `x` for which `f(x)` equals `k`.

    Definition Classes
      TraversableLike → GenTraversableLike
85.  def grouped(size: Int): Iterator[LinkedHashSet[A]]

    Partitions elements in fixed size iterable collections.

    Partitions elements in fixed size iterable collections.

    size

      the number of elements per group

    returns

      An iterator producing iterable collections of size `size`, except the last will be less than size `size` if the elements don't divide evenly.

    Definition Classes
      IterableLike
    See also

      scala.collection.Iterator, method `grouped`

86.  def hasDefiniteSize: Boolean

    Tests whether this traversable collection is known to have a finite size.

    Tests whether this traversable collection is known to have a finite size. All strict collections are known to have finite size. For a non-strict collection such as `Stream`, the predicate returns `true` if all elements have been computed. It returns `false` if the stream is not yet evaluated to the end. Non-empty Iterators usually return `false` even if they were created from a collection with a known finite size.

    Note: many collection methods will not work on collections of infinite sizes. The typical failure mode is an infinite loop. These methods always attempt a traversal without checking first that `hasDefiniteSize` returns `true`. However, checking `hasDefiniteSize` can provide an assurance that size is well-defined and non-termination is not a concern.

    returns

      `true` if this collection is known to have finite size, `false` otherwise.

    Definition Classes
      TraversableLike → TraversableOnce → GenTraversableOnce
87.  def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      GenSetLike → AnyRef → Any
88.  def head: A

    Selects the first element of this iterable collection.

    Selects the first element of this iterable collection.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      the first element of this iterable collection.

    Definition Classes
      IterableLike → TraversableLike → GenTraversableLike
    Exceptions thrown

      `NoSuchElementException` if the iterable collection is empty.

89.  def headOption: Option[A]

    Optionally selects the first element.

    Optionally selects the first element.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      the first element of this traversable collection if it is nonempty, `None` if it is empty.

    Definition Classes
      TraversableLike → GenTraversableLike
90.  final def improve(hcode: Int, seed: Int): Int

    Defer to a high-quality hash in scala.util.hashing.

    Defer to a high-quality hash in scala.util.hashing. The goal is to distribute across bins as well as possible even if a hash code has low entropy at some bits.

    OLD VERSION - quick, but bad for sequence 0-10000 - little entropy in higher bits - since 2003

        var h: Int = hcode + ~(hcode << 9)
        h = h ^ (h >>> 14)
        h = h + (h << 4)
        h ^ (h >>> 10)

    the rest of the computation is due to SI-5293

    Attributes
      protected
    Definition Classes
      HashUtils
91.  final def index(hcode: Int): Int

    Note: we take the most significant bits of the hashcode, not the lower ones this is of crucial importance when populating the table in parallel

    Note: we take the most significant bits of the hashcode, not the lower ones this is of crucial importance when populating the table in parallel

    Attributes
      protected
    Definition Classes
      HashTable
92.  def init: LinkedHashSet[A]

    Selects all elements except the last.

    Selects all elements except the last.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      a traversable collection consisting of all elements of this traversable collection except the last one.

    Definition Classes
      TraversableLike → GenTraversableLike
    Exceptions thrown

      `UnsupportedOperationException` if the traversable collection is empty.

93.  def initWithContents(c: Contents[A, LinkedHashSet.Entry[A]]): Unit
    Attributes
      protected
    Definition Classes
      HashTable
94.  def initialSize: Int

    The initial size of the hash table.

    The initial size of the hash table.

    Attributes
      protected
    Definition Classes
      HashTable
95.  def inits: Iterator[LinkedHashSet[A]]

    Iterates over the inits of this traversable collection.

    Iterates over the inits of this traversable collection. The first value will be this traversable collection and the final one will be an empty traversable collection, with the intervening values the results of successive applications of `init`.

    returns

      an iterator over all the inits of this traversable collection

    Definition Classes
      TraversableLike
    Example:

    1. `List(1,2,3).inits = Iterator(List(1,2,3), List(1,2), List(1), Nil)`

96.  def intersect(that: GenSet[A]): LinkedHashSet[A]

    Computes the intersection between this set and another set.

    Computes the intersection between this set and another set.

    that

      the set to intersect with.

    returns

      a new set consisting of all elements that are both in this set and in the given set `that`.

    Definition Classes
      GenSetLike
97.  def isEmpty: Boolean

    Tests if this set is empty.

    Tests if this set is empty.

    returns

      `true` if there is no element in the set, `false` otherwise.

    Definition Classes
      SetLike → IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce
98.  final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any
99.  def isSizeMapDefined: Boolean
    Attributes
      protected
    Definition Classes
      HashTable
    Annotations
      @deprecatedOverriding( message = ... , since = "2.11.0" )
100.  final def isTraversableAgain: Boolean

     Tests whether this traversable collection can be repeatedly traversed.

     Tests whether this traversable collection can be repeatedly traversed.

     returns

       `true`

     Definition Classes
       TraversableLike → GenTraversableLike → GenTraversableOnce
101.  def iterator: Iterator[A]

     Creates a new iterator over all elements contained in this iterable object.

     Creates a new iterator over all elements contained in this iterable object.

     returns

       the new iterator

     Definition Classes
       LinkedHashSet → GenSetLike → IterableLike → GenIterableLike
102.  def last: A

     Selects the last element.

     Selects the last element.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     returns

       The last element of this traversable collection.

     Definition Classes
       TraversableLike → GenTraversableLike
     Exceptions thrown

       `NoSuchElementException` If the traversable collection is empty.

103.  var lastEntry: Entry
     Attributes
       protected
104.  def lastOption: Option[A]

     Optionally selects the last element.

     Optionally selects the last element.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     returns

       the last element of this traversable collection$ if it is nonempty, `None` if it is empty.

     Definition Classes
       TraversableLike → GenTraversableLike
105.  def map[B](f: (A) ⇒ B): LinkedHashSet[B]

     [use case] Builds a new collection by applying a function to all elements of this linked hash set.

     [use case]

     Builds a new collection by applying a function to all elements of this linked hash set.

     B

       the element type of the returned collection.

     f

       the function to apply to each element.

     returns

       a new linked hash set resulting from applying the given function `f` to each element of this linked hash set and collecting the results.

     Definition Classes
       SetLike → TraversableLike → GenTraversableLike → FilterMonadic
      Full Signature

     #### def map[B, That](f: (A) ⇒ B)(implicit bf: CanBuildFrom[LinkedHashSet[A], B, That]): That

106.  def mapResult[NewTo](f: (LinkedHashSet[A]) ⇒ NewTo): Builder[A, NewTo]

     Creates a new builder by applying a transformation function to the results of this builder.

     Creates a new builder by applying a transformation function to the results of this builder.

     NewTo

       the type of collection returned by `f`.

     f

       the transformation function.

     returns

       a new builder which is the same as the current builder except that a transformation function is applied to this builder's result.

     Definition Classes
       Builder
     Note

       The original builder should no longer be used after `mapResult` is called.

107.  def max: A

     [use case] Finds the largest element.

     [use case]

     Finds the largest element.

     returns

       the largest element of this linked hash set.

     Definition Classes
       TraversableOnce → GenTraversableOnce
      Full Signature

     #### def max[B >: A](implicit cmp: Ordering[B]): A

108.  def maxBy[B](f: (A) ⇒ B): A

     [use case] Finds the first element which yields the largest value measured by function f.

     [use case]

     Finds the first element which yields the largest value measured by function f.

     B

       The result type of the function f.

     f

       The measuring function.

     returns

       the first element of this linked hash set with the largest value measured by function f.

     Definition Classes
       TraversableOnce → GenTraversableOnce
      Full Signature

     #### def maxBy[B](f: (A) ⇒ B)(implicit cmp: Ordering[B]): A

109.  def min: A

     [use case] Finds the smallest element.

     [use case]

     Finds the smallest element.

     returns

       the smallest element of this linked hash set

     Definition Classes
       TraversableOnce → GenTraversableOnce
      Full Signature

     #### def min[B >: A](implicit cmp: Ordering[B]): A

110.  def minBy[B](f: (A) ⇒ B): A

     [use case] Finds the first element which yields the smallest value measured by function f.

     [use case]

     Finds the first element which yields the smallest value measured by function f.

     B

       The result type of the function f.

     f

       The measuring function.

     returns

       the first element of this linked hash set with the smallest value measured by function f.

     Definition Classes
       TraversableOnce → GenTraversableOnce
      Full Signature

     #### def minBy[B](f: (A) ⇒ B)(implicit cmp: Ordering[B]): A

111.  def mkString: String

     Displays all elements of this traversable or iterator in a string.

     Displays all elements of this traversable or iterator in a string.

     returns

       a string representation of this traversable or iterator. In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this traversable or iterator follow each other without any separator string.

     Definition Classes
       TraversableOnce → GenTraversableOnce
112.  def mkString(sep: String): String

     Displays all elements of this traversable or iterator in a string using a separator string.

     Displays all elements of this traversable or iterator in a string using a separator string.

     sep

       the separator string.

     returns

       a string representation of this traversable or iterator. In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this traversable or iterator are separated by the string `sep`.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Example:

     1. `List(1, 2, 3).mkString("|") = "1|2|3"`

113.  def mkString(start: String, sep: String, end: String): String

     Displays all elements of this traversable or iterator in a string using start, end, and separator strings.

     Displays all elements of this traversable or iterator in a string using start, end, and separator strings.

     start

       the starting string.

     sep

       the separator string.

     end

       the ending string.

     returns

       a string representation of this traversable or iterator. The resulting string begins with the string `start` and ends with the string `end`. Inside, the string representations (w.r.t. the method `toString`) of all elements of this traversable or iterator are separated by the string `sep`.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Example:

     1. `List(1, 2, 3).mkString("(", "; ", ")") = "(1; 2; 3)"`

114.  final def ne(arg0: AnyRef): Boolean

     Equivalent to `!(this eq that)`.

     Equivalent to `!(this eq that)`.

     returns

       `true` if the argument is not a reference to the receiver object; `false` otherwise.

     Definition Classes
       AnyRef
115.  def newBuilder: Builder[A, LinkedHashSet[A]]

     A common implementation of `newBuilder` for all mutable sets in terms of `empty`.

     A common implementation of `newBuilder` for all mutable sets in terms of `empty`. Overrides the implementation in `collection.SetLike` for better efficiency.

     Attributes
       protected[this]
     Definition Classes
       SetLike → SetLike → TraversableLike → HasNewBuilder
116.  def nnSizeMapAdd(h: Int): Unit
     Attributes
       protected
     Definition Classes
       HashTable
     Annotations
       @deprecatedOverriding( message = ... , since = "2.11.0" )
117.  def nnSizeMapRemove(h: Int): Unit
     Attributes
       protected
     Definition Classes
       HashTable
     Annotations
       @deprecatedOverriding( message = ... , since = "2.11.0" )
118.  def nnSizeMapReset(tableLength: Int): Unit
     Attributes
       protected
     Definition Classes
       HashTable
     Annotations
       @deprecatedOverriding( message = ... , since = "2.11.0" )
119.  def nonEmpty: Boolean

     Tests whether the traversable or iterator is not empty.

     Tests whether the traversable or iterator is not empty.

     returns

       `true` if the traversable or iterator contains at least one element, `false` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce
120.  final def notify(): Unit

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Note

       not specified by SLS as a member of AnyRef

121.  final def notifyAll(): Unit

     Wakes up all threads that are waiting on the receiver object's monitor.

     Wakes up all threads that are waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Note

       not specified by SLS as a member of AnyRef

122.  def par: ParSet[A]

     Returns a parallel implementation of this collection.

     Returns a parallel implementation of this collection.

     For most collection types, this method creates a new parallel collection by copying all the elements. For these collection, `par` takes linear time. Mutable collections in this category do not produce a mutable parallel collection that has the same underlying dataset, so changes in one collection will not be reflected in the other one.

     Specific collections (e.g. `ParArray` or `mutable.ParHashMap`) override this default behaviour by creating a parallel collection which shares the same underlying dataset. For these collections, `par` takes constant or sublinear time.

     All parallel collections return a reference to themselves.

     returns

       a parallel implementation of this collection

     Definition Classes
       Parallelizable
123.  def parCombiner: Combiner[A, ParSet[A]]

     The default `par` implementation uses the combiner provided by this method to create a new parallel collection.

     The default `par` implementation uses the combiner provided by this method to create a new parallel collection.

     returns

       a combiner for the parallel collection of type `ParRepr`

     Attributes
       protected[this]
     Definition Classes
       SetLike → SetLike → TraversableLike → Parallelizable
124.  def partition(p: (A) ⇒ Boolean): (LinkedHashSet[A], LinkedHashSet[A])

     Partitions this traversable collection in two traversable collections according to a predicate.

     Partitions this traversable collection in two traversable collections according to a predicate.

     p

       the predicate on which to partition.

     returns

       a pair of traversable collections: the first traversable collection consists of all elements that satisfy the predicate `p` and the second traversable collection consists of all elements that don't. The relative order of the elements in the resulting traversable collections is the same as in the original traversable collection.

     Definition Classes
       TraversableLike → GenTraversableLike
125.  def product: A

     [use case] Multiplies up the elements of this collection.

     [use case]

     Multiplies up the elements of this collection.

     returns

       the product of all elements in this linked hash set of numbers of type `Int`. Instead of `Int`, any other type `T` with an implicit `Numeric[T]` implementation can be used as element type of the linked hash set and as result type of `product`. Examples of such types are: `Long`, `Float`, `Double`, `BigInt`.

     Definition Classes
       TraversableOnce → GenTraversableOnce
      Full Signature

     #### def product[B >: A](implicit num: Numeric[B]): B

126.  def reduce[A1 >: A](op: (A1, A1) ⇒ A1): A1

     Reduces the elements of this traversable or iterator using the specified associative binary operator.

     Reduces the elements of this traversable or iterator using the specified associative binary operator.

     The order in which operations are performed on elements is unspecified and may be nondeterministic.

     A1

       A type parameter for the binary operator, a supertype of `A`.

     op

       A binary operator that must be associative.

     returns

       The result of applying reduce operator `op` between all the elements if the traversable or iterator is nonempty.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Exceptions thrown

       `UnsupportedOperationException` if this traversable or iterator is empty.

127.  def reduceLeft[B >: A](op: (B, A) ⇒ B): B

     Applies a binary operator to all elements of this traversable or iterator, going left to right.

     Applies a binary operator to all elements of this traversable or iterator, going left to right.

     Note: will not terminate for infinite-sized collections.

     Note: might return different results for different runs, unless the underlying collection type is ordered or the operator is associative and commutative.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       the result of inserting `op` between consecutive elements of this traversable or iterator, going left to right:

           op( op( ... op(x_1, x_2) ..., x_{n-1}), x_n)

       where `x1, ..., xn` are the elements of this traversable or iterator.

     Definition Classes
       TraversableOnce
     Exceptions thrown

       `UnsupportedOperationException` if this traversable or iterator is empty.

128.  def reduceLeftOption[B >: A](op: (B, A) ⇒ B): Option[B]

     Optionally applies a binary operator to all elements of this traversable or iterator, going left to right.

     Optionally applies a binary operator to all elements of this traversable or iterator, going left to right.

     Note: will not terminate for infinite-sized collections.

     Note: might return different results for different runs, unless the underlying collection type is ordered or the operator is associative and commutative.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       an option value containing the result of `reduceLeft(op)` if this traversable or iterator is nonempty, `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce
129.  def reduceOption[A1 >: A](op: (A1, A1) ⇒ A1): Option[A1]

     Reduces the elements of this traversable or iterator, if any, using the specified associative binary operator.

     Reduces the elements of this traversable or iterator, if any, using the specified associative binary operator.

     The order in which operations are performed on elements is unspecified and may be nondeterministic.

     A1

       A type parameter for the binary operator, a supertype of `A`.

     op

       A binary operator that must be associative.

     returns

       An option value containing result of applying reduce operator `op` between all the elements if the collection is nonempty, and `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce
130.  def reduceRight[B >: A](op: (A, B) ⇒ B): B

     Applies a binary operator to all elements of this iterable collection, going right to left.

     Applies a binary operator to all elements of this iterable collection, going right to left.

     Note: will not terminate for infinite-sized collections.

     Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       the result of inserting `op` between consecutive elements of this iterable collection, going right to left:

           op(x_1, op(x_2, ..., op(x_{n-1}, x_n)...))

       where `x1, ..., xn` are the elements of this iterable collection.

     Definition Classes
       IterableLike → TraversableOnce → GenTraversableOnce
     Exceptions thrown

       `UnsupportedOperationException` if this iterable collection is empty.

131.  def reduceRightOption[B >: A](op: (A, B) ⇒ B): Option[B]

     Optionally applies a binary operator to all elements of this traversable or iterator, going right to left.

     Optionally applies a binary operator to all elements of this traversable or iterator, going right to left.

     Note: will not terminate for infinite-sized collections.

     Note: might return different results for different runs, unless the underlying collection type is ordered or the operator is associative and commutative.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       an option value containing the result of `reduceRight(op)` if this traversable or iterator is nonempty, `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce
132.  def remove(elem: A): Boolean

     Removes an element from this set.

     Removes an element from this set.

     elem

       The element to be removed.

     returns

       `true` if the element was previously present in the set, `false` otherwise.

     Definition Classes
       LinkedHashSet → SetLike
133.  def removeEntry(key: A): LinkedHashSet.Entry[A]

     Remove entry from table if present.

     Remove entry from table if present.

     Attributes
       protected
     Definition Classes
       HashTable
     Annotations
       @deprecatedOverriding( message = ... , since = "2.11.0" )
134.  def repr: LinkedHashSet[A]

     The collection of type traversable collection underlying this `TraversableLike` object.

     The collection of type traversable collection underlying this `TraversableLike` object. By default this is implemented as the `TraversableLike` object itself, but this can be overridden.

     Definition Classes
       TraversableLike → GenTraversableLike
135.  def result(): LinkedHashSet[A]

     The result when this set is used as a builder

     The result when this set is used as a builder

     returns

       the set representation itself.

     Definition Classes
       SetLike → Builder
136.  def retain(p: (A) ⇒ Boolean): Unit

     Removes all elements from the set for which do not satisfy a predicate.

     Removes all elements from the set for which do not satisfy a predicate.

     p

       the predicate used to test elements. Only elements for which `p` returns `true` are retained in the set; all others are removed.

     Definition Classes
       SetLike
137.  def reversed: List[A]
     Attributes
       protected[this]
     Definition Classes
       TraversableOnce
138.  def sameElements(that: GenIterable[A]): Boolean

     [use case] Checks if the other iterable collection contains the same elements in the same order as this linked hash set.

     [use case]

     Checks if the other iterable collection contains the same elements in the same order as this linked hash set.

     that

       the collection to compare with.

     returns

       `true`, if both collections contain the same elements in the same order, `false` otherwise.

     Definition Classes
       IterableLike → GenIterableLike
      Full Signature

     #### def sameElements[B >: A](that: GenIterable[B]): Boolean

139.  def scan[B >: A, That](z: B)(op: (B, B) ⇒ B)(implicit cbf: CanBuildFrom[LinkedHashSet[A], B, That]): That

     Computes a prefix scan of the elements of the collection.

     Computes a prefix scan of the elements of the collection.

     Note: The neutral element `z` may be applied more than once.

     B

       element type of the resulting collection

     That

       type of the resulting collection

     z

       neutral element for the operator `op`

     op

       the associative operator for the scan

     cbf

       combiner factory which provides a combiner

     returns

       a new traversable collection containing the prefix scan of the elements in this traversable collection

     Definition Classes
       TraversableLike → GenTraversableLike
140.  def scanLeft[B, That](z: B)(op: (B, A) ⇒ B)(implicit bf: CanBuildFrom[LinkedHashSet[A], B, That]): That

     Produces a collection containing cumulative results of applying the operator going left to right.

     Produces a collection containing cumulative results of applying the operator going left to right.

     Note: will not terminate for infinite-sized collections.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     B

       the type of the elements in the resulting collection

     That

       the actual type of the resulting collection

     z

       the initial value

     op

       the binary operator applied to the intermediate result and the element

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

     returns

       collection with intermediate results

     Definition Classes
       TraversableLike → GenTraversableLike
141.  def scanRight[B, That](z: B)(op: (A, B) ⇒ B)(implicit bf: CanBuildFrom[LinkedHashSet[A], B, That]): That

     Produces a collection containing cumulative results of applying the operator going right to left.

     Produces a collection containing cumulative results of applying the operator going right to left. The head of the collection is the last cumulative result.

     Note: will not terminate for infinite-sized collections.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     Example:

         List(1, 2, 3, 4).scanRight(0)(_ + _) == List(10, 9, 7, 4, 0)

     B

       the type of the elements in the resulting collection

     That

       the actual type of the resulting collection

     z

       the initial value

     op

       the binary operator applied to the intermediate result and the element

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

     returns

       collection with intermediate results

     Definition Classes
       TraversableLike → GenTraversableLike
     Annotations
       @migration
     Migration

       (Changed in version 2.9.0) The behavior of `scanRight` has changed. The previous behavior can be reproduced with scanRight.reverse.

142.  val seedvalue: Int
     Attributes
       protected
     Definition Classes
       HashTable
     Annotations
       @transient()
143.  def seq: Set[A]

     A version of this collection with all of the operations implemented sequentially (i.e., in a single-threaded manner).

     A version of this collection with all of the operations implemented sequentially (i.e., in a single-threaded manner).

     This method returns a reference to this collection. In parallel collections, it is redefined to return a sequential implementation of this collection. In both cases, it has O(1) complexity.

     returns

       a sequential view of the collection.

     Definition Classes
       Set → Set → GenSet → GenSetLike → Iterable → Iterable → GenIterable → Traversable → Traversable → GenTraversable → Parallelizable → TraversableOnce → GenTraversableOnce
144.  def size: Int

     The size of this linked hash set.

     The size of this linked hash set.

     returns

       the number of elements in this linked hash set.

     Definition Classes
       LinkedHashSet → GenTraversableLike → TraversableOnce → GenTraversableOnce
145.  def sizeHint(coll: TraversableLike[_, _], delta: Int): Unit

     Gives a hint that one expects the `result` of this builder to have the same size as the given collection, plus some delta.

     Gives a hint that one expects the `result` of this builder to have the same size as the given collection, plus some delta. This will provide a hint only if the collection is known to have a cheap `size` method. Currently this is assumed to be the case if and only if the collection is of type `IndexedSeqLike`. Some builder classes will optimize their representation based on the hint. However, builder implementations are still required to work correctly even if the hint is wrong, i.e. a different number of elements is added.

     coll

       the collection which serves as a hint for the result's size.

     delta

       a correction to add to the `coll.size` to produce the size hint.

     Definition Classes
       Builder
146.  def sizeHint(coll: TraversableLike[_, _]): Unit

     Gives a hint that one expects the `result` of this builder to have the same size as the given collection, plus some delta.

     Gives a hint that one expects the `result` of this builder to have the same size as the given collection, plus some delta. This will provide a hint only if the collection is known to have a cheap `size` method, which is determined by calling `sizeHint`.

     Some builder classes will optimize their representation based on the hint. However, builder implementations are still required to work correctly even if the hint is wrong, i.e. a different number of elements is added.

     coll

       the collection which serves as a hint for the result's size.

     Definition Classes
       Builder
147.  def sizeHint(size: Int): Unit

     Gives a hint how many elements are expected to be added when the next `result` is called.

     Gives a hint how many elements are expected to be added when the next `result` is called. Some builder classes will optimize their representation based on the hint. However, builder implementations are still required to work correctly even if the hint is wrong, i.e. a different number of elements is added.

     size

       the hint how many elements will be added.

     Definition Classes
       Builder
148.  def sizeHintBounded(size: Int, boundingColl: TraversableLike[_, _]): Unit

     Gives a hint how many elements are expected to be added when the next `result` is called, together with an upper bound given by the size of some other collection.

     Gives a hint how many elements are expected to be added when the next `result` is called, together with an upper bound given by the size of some other collection. Some builder classes will optimize their representation based on the hint. However, builder implementations are still required to work correctly even if the hint is wrong, i.e. a different number of elements is added.

     size

       the hint how many elements will be added.

     boundingColl

       the bounding collection. If it is an IndexedSeqLike, then sizes larger than collection's size are reduced.

     Definition Classes
       Builder
149.  def sizeHintIfCheap: Int

     The size of this collection or iterator, if it can be cheaply computed

     The size of this collection or iterator, if it can be cheaply computed

     returns

       the number of elements in this collection or iterator, or -1 if the size cannot be determined cheaply

     Attributes
       protected[scala.collection]
     Definition Classes
       GenTraversableOnce
150.  final def sizeMapBucketBitSize: Int
     Attributes
       protected
     Definition Classes
       HashUtils
151.  final def sizeMapBucketSize: Int
     Attributes
       protected
     Definition Classes
       HashUtils
152.  def sizeMapDisable(): Unit
     Attributes
       protected
     Definition Classes
       HashTable
     Annotations
       @deprecatedOverriding( message = ... , since = "2.11.0" )
153.  def sizeMapInit(tableLength: Int): Unit
     Attributes
       protected
     Definition Classes
       HashTable
154.  def sizeMapInitAndRebuild(): Unit
     Attributes
       protected
     Definition Classes
       HashTable
     Annotations
       @deprecatedOverriding( message = ... , since = "2.11.0" )
155.  val sizemap: Array[Int]

     The array keeping track of the number of elements in 32 element blocks.

     The array keeping track of the number of elements in 32 element blocks.

     Attributes
       protected
     Definition Classes
       HashTable
     Annotations
       @transient()
156.  def slice(from: Int, until: Int): LinkedHashSet[A]

     Selects an interval of elements.

     Selects an interval of elements. The returned collection is made up of all elements `x` which satisfy the invariant:

         from <= indexOf(x) < until

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     returns

       a iterable collection containing the elements greater than or equal to index `from` extending up to (but not including) index `until` of this iterable collection.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableLike
157.  def sliding(size: Int, step: Int): Iterator[LinkedHashSet[A]]

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.)

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.)

     size

       the number of elements per group

     step

       the distance between the first elements of successive groups

     returns

       An iterator producing iterable collections of size `size`, except the last element (which may be the only element) will be truncated if there are fewer than `size` elements remaining to be grouped.

     Definition Classes
       IterableLike
     See also

       scala.collection.Iterator, method `sliding`

158.  def sliding(size: Int): Iterator[LinkedHashSet[A]]

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in `grouped`.) The "sliding window" step is set to one.

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in `grouped`.) The "sliding window" step is set to one.

     size

       the number of elements per group

     returns

       An iterator producing iterable collections of size `size`, except the last element (which may be the only element) will be truncated if there are fewer than `size` elements remaining to be grouped.

     Definition Classes
       IterableLike
     See also

       scala.collection.Iterator, method `sliding`

159.  def span(p: (A) ⇒ Boolean): (LinkedHashSet[A], LinkedHashSet[A])

     Splits this traversable collection into a prefix/suffix pair according to a predicate.

     Splits this traversable collection into a prefix/suffix pair according to a predicate.

     Note: `c span p` is equivalent to (but possibly more efficient than) `(c takeWhile p, c dropWhile p)`, provided the evaluation of the predicate `p` does not cause any side-effects.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     returns

       a pair consisting of the longest prefix of this traversable collection whose elements all satisfy `p`, and the rest of this traversable collection.

     Definition Classes
       TraversableLike → GenTraversableLike
160.  def splitAt(n: Int): (LinkedHashSet[A], LinkedHashSet[A])

     Splits this traversable collection into two at a given position.

     Splits this traversable collection into two at a given position. Note: `c splitAt n` is equivalent to (but possibly more efficient than) `(c take n, c drop n)`.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     n

       the position at which to split.

     returns

       a pair of traversable collections consisting of the first `n` elements of this traversable collection, and the other elements.

     Definition Classes
       TraversableLike → GenTraversableLike
161.  def stringPrefix: String

     Defines the prefix of this object's `toString` representation.

     Defines the prefix of this object's `toString` representation.

     returns

       a string representation which starts the result of `toString` applied to this set. Unless overridden this is simply `"Set"`.

     Definition Classes
       SetLike → TraversableLike → GenTraversableLike
162.  def subsetOf(that: GenSet[A]): Boolean

     Tests whether this set is a subset of another set.

     Tests whether this set is a subset of another set.

     that

       the set to test.

     returns

       `true` if this set is a subset of `that`, i.e. if every element of this set is also an element of `that`.

     Definition Classes
       GenSetLike
163.  def subsets(): Iterator[LinkedHashSet[A]]

     An iterator over all subsets of this set.

     An iterator over all subsets of this set.

     returns

       the iterator.

     Definition Classes
       SetLike
164.  def subsets(len: Int): Iterator[LinkedHashSet[A]]

     An iterator over all subsets of this set of the given size.

     An iterator over all subsets of this set of the given size. If the requested size is impossible, an empty iterator is returned.

     len

       the size of the subsets.

     returns

       the iterator.

     Definition Classes
       SetLike
165.  def sum: A

     [use case] Sums up the elements of this collection.

     [use case]

     Sums up the elements of this collection.

     returns

       the sum of all elements in this linked hash set of numbers of type `Int`. Instead of `Int`, any other type `T` with an implicit `Numeric[T]` implementation can be used as element type of the linked hash set and as result type of `sum`. Examples of such types are: `Long`, `Float`, `Double`, `BigInt`.

     Definition Classes
       TraversableOnce → GenTraversableOnce
      Full Signature

     #### def sum[B >: A](implicit num: Numeric[B]): B

166.  final def synchronized[T0](arg0: ⇒ T0): T0
     Definition Classes
       AnyRef
167.  val table: Array[HashEntry[A, LinkedHashSet.Entry[A]]]

     The actual hash table.

     The actual hash table.

     Attributes
       protected
     Definition Classes
       HashTable
     Annotations
       @transient()
168.  val tableSize: Int

     The number of mappings contained in this hash table.

     The number of mappings contained in this hash table.

     Attributes
       protected
     Definition Classes
       HashTable
     Annotations
       @transient()
169.  def tableSizeSeed: Int
     Attributes
       protected
     Definition Classes
       HashTable
170.  def tail: LinkedHashSet[A]

     Selects all elements except the first.

     Selects all elements except the first.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     returns

       a traversable collection consisting of all elements of this traversable collection except the first one.

     Definition Classes
       TraversableLike → GenTraversableLike
     Exceptions thrown

       ``UnsupportedOperationException`` if the traversable collection is empty.

171.  def tails: Iterator[LinkedHashSet[A]]

     Iterates over the tails of this traversable collection.

     Iterates over the tails of this traversable collection. The first value will be this traversable collection and the final one will be an empty traversable collection, with the intervening values the results of successive applications of `tail`.

     returns

       an iterator over all the tails of this traversable collection

     Definition Classes
       TraversableLike
     Example:

     1. `List(1,2,3).tails = Iterator(List(1,2,3), List(2,3), List(3), Nil)`

172.  def take(n: Int): LinkedHashSet[A]

     Selects first n elements.

     Selects first n elements.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     n

       the number of elements to take from this iterable collection.

     returns

       a iterable collection consisting only of the first `n` elements of this iterable collection, or else the whole iterable collection, if it has less than `n` elements.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableLike
173.  def takeRight(n: Int): LinkedHashSet[A]

     Selects last n elements.

     Selects last n elements.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     n

       the number of elements to take

     returns

       a iterable collection consisting only of the last `n` elements of this iterable collection, or else the whole iterable collection, if it has less than `n` elements.

     Definition Classes
       IterableLike
174.  def takeWhile(p: (A) ⇒ Boolean): LinkedHashSet[A]

     Takes longest prefix of elements that satisfy a predicate.

     Takes longest prefix of elements that satisfy a predicate.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     returns

       the longest prefix of this iterable collection whose elements all satisfy the predicate `p`.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableLike
175.  def thisCollection: collection.Iterable[A]

     The underlying collection seen as an instance of `Iterable`.

     The underlying collection seen as an instance of `Iterable`. By default this is implemented as the current collection object itself, but this can be overridden.

     Attributes
       protected[this]
     Definition Classes
       IterableLike → TraversableLike
176.  val threshold: Int

     The next size value at which to resize (capacity * load factor).

     The next size value at which to resize (capacity * load factor).

     Attributes
       protected
     Definition Classes
       HashTable
     Annotations
       @transient()
177.  def to[Col[_]]: Col[A]

     [use case] Converts this linked hash set into another by copying all elements.

     [use case]

     Converts this linked hash set into another by copying all elements.

     Col

       The collection type to build.

     returns

       a new collection containing all elements of this linked hash set.

     Definition Classes
       TraversableLike → TraversableOnce → GenTraversableOnce
      Full Signature

     #### def to[Col[_]](implicit cbf: CanBuildFrom[Nothing, A, Col[A]]): Col[A]

178.  def toArray: Array[A]

     [use case] Converts this linked hash set to an array.

     [use case]

     Converts this linked hash set to an array.

     returns

       an array containing all elements of this linked hash set. An `ClassTag` must be available for the element type of this linked hash set.

     Definition Classes
       TraversableOnce → GenTraversableOnce
      Full Signature

     #### def toArray[B >: A](implicit arg0: ClassTag[B]): Array[B]

179.  def toBuffer[A1 >: A]: Buffer[A1]

     Uses the contents of this set to create a new mutable buffer.

     Uses the contents of this set to create a new mutable buffer.

     returns

       a buffer containing all elements of this set.

     Definition Classes
       SetLike → TraversableOnce → GenTraversableOnce
180.  def toCollection(repr: LinkedHashSet[A]): collection.Iterable[A]

     A conversion from collections of type `Repr` to `Iterable` objects.

     A conversion from collections of type `Repr` to `Iterable` objects. By default this is implemented as just a cast, but this can be overridden.

     Attributes
       protected[this]
     Definition Classes
       IterableLike → TraversableLike
181.  def toIndexedSeq: immutable.IndexedSeq[A]

     Converts this traversable or iterator to an indexed sequence.

     Converts this traversable or iterator to an indexed sequence.

     Note: will not terminate for infinite-sized collections.

     returns

       an indexed sequence containing all elements of this traversable or iterator.

     Definition Classes
       TraversableOnce → GenTraversableOnce
182.  def toIterable: collection.Iterable[A]

     Returns this iterable collection as an iterable collection.

     Returns this iterable collection as an iterable collection.

     A new collection will not be built; lazy collections will stay lazy.

     Note: will not terminate for infinite-sized collections.

     returns

       an `Iterable` containing all elements of this iterable collection.

     Definition Classes
       IterableLike → TraversableOnce → GenTraversableOnce
183.  def toIterator: Iterator[A]

     Returns an Iterator over the elements in this iterable collection.

     Returns an Iterator over the elements in this iterable collection. Produces the same result as `iterator`.

     Note: will not terminate for infinite-sized collections.

     returns

       an Iterator containing all elements of this iterable collection.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableOnce
     Annotations
       @deprecatedOverriding( message = ... , since = "2.11.0" )
184.  def toList: List[A]

     Converts this traversable or iterator to a list.

     Converts this traversable or iterator to a list.

     Note: will not terminate for infinite-sized collections.

     returns

       a list containing all elements of this traversable or iterator.

     Definition Classes
       TraversableOnce → GenTraversableOnce
185.  def toMap[T, U]: collection.Map[T, U]

     [use case] Converts this linked hash set to a map.

     [use case]

     Converts this linked hash set to a map. This method is unavailable unless the elements are members of Tuple2, each ((T, U)) becoming a key-value pair in the map. Duplicate keys will be overwritten by later keys: if this is an unordered collection, which key is in the resulting map is undefined.

     returns

       a map of type `immutable.Map[T, U]` containing all key/value pairs of type `(T, U)` of this linked hash set.

     Definition Classes
       TraversableOnce → GenTraversableOnce
      Full Signature

     #### def toMap[T, U](implicit ev: <:<[A, (T, U)]): immutable.Map[T, U]

186.  def toParArray: ParArray[T]
     Implicit
       This member is added by an implicit conversion from LinkedHashSet[A] to CollectionsHaveToParArray[LinkedHashSet[A], T] performed by method CollectionsHaveToParArray in scala.collection.parallel. This conversion will take place only if an implicit value of type (LinkedHashSet[A]) ⇒ GenTraversableOnce[T] is in scope.
     Definition Classes
       CollectionsHaveToParArray
187.  def toSeq: collection.Seq[A]

     Converts this mutable set to a sequence.

     Converts this mutable set to a sequence.

     ```Note```: assumes a fast `size` method. Subclasses should override if this is not true.

     returns

       a sequence containing all elements of this mutable set.

     Definition Classes
       SetLike → SetLike → TraversableOnce → GenTraversableOnce
188.  def toSet[B >: A]: immutable.Set[B]

     Converts this traversable or iterator to a set.

     Converts this traversable or iterator to a set.

     Note: will not terminate for infinite-sized collections.

     returns

       a set containing all elements of this traversable or iterator.

     Definition Classes
       TraversableOnce → GenTraversableOnce
189.  def toStream: immutable.Stream[A]

     Converts this iterable collection to a stream.

     Converts this iterable collection to a stream.

     returns

       a stream containing all elements of this iterable collection.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableOnce
190.  def toString(): String

     Creates a String representation of this object.

     Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

     returns

       a String representation of the object.

     Definition Classes
       SetLike → Function1 → TraversableLike → AnyRef → Any
191.  def toTraversable: collection.Traversable[A]

     Converts this traversable collection to an unspecified Traversable.

     Converts this traversable collection to an unspecified Traversable. Will return the same collection if this instance is already Traversable.

     Note: will not terminate for infinite-sized collections.

     returns

       a Traversable containing all elements of this traversable collection.

     Definition Classes
       TraversableLike → TraversableOnce → GenTraversableOnce
     Annotations
       @deprecatedOverriding( message = ... , since = "2.11.0" )
192.  def toVector: Vector[A]

     Converts this traversable or iterator to a Vector.

     Converts this traversable or iterator to a Vector.

     Note: will not terminate for infinite-sized collections.

     returns

       a vector containing all elements of this traversable or iterator.

     Definition Classes
       TraversableOnce → GenTraversableOnce
193.  def transpose[B](implicit asTraversable: (A) ⇒ GenTraversableOnce[B]): LinkedHashSet[LinkedHashSet[B]]

     Transposes this collection of traversable collections into a collection of collections.

     Transposes this collection of traversable collections into a collection of collections.

     The resulting collection's type will be guided by the static type of collection. For example:

         val xs = List(
                    Set(1, 2, 3),
                    Set(4, 5, 6)).transpose
         // xs == List(
         //         List(1, 4),
         //         List(2, 5),
         //         List(3, 6))

         val ys = Vector(
                    List(1, 2, 3),
                    List(4, 5, 6)).transpose
         // ys == Vector(
         //         Vector(1, 4),
         //         Vector(2, 5),
         //         Vector(3, 6))

     B

       the type of the elements of each traversable collection.

     asTraversable

       an implicit conversion which asserts that the element type of this collection is a `Traversable`.

     returns

       a two-dimensional collection of collections which has as nth row the nth column of this collection.

     Definition Classes
       GenericTraversableTemplate
     Annotations
       @migration
     Migration

       (Changed in version 2.9.0) `transpose` throws an `IllegalArgumentException` if collections are not uniformly sized.

     Exceptions thrown

       `IllegalArgumentException` if all collections in this collection are not of the same size.

194.  def union(that: GenSet[A]): LinkedHashSet[A]

     Computes the union between of set and another set.

     Computes the union between of set and another set.

     that

       the set to form the union with.

     returns

       a new set consisting of all elements that are in this set or in the given set `that`.

     Definition Classes
       SetLike → GenSetLike
195.  def unzip[A1, A2](implicit asPair: (A) ⇒ (A1, A2)): (LinkedHashSet[A1], LinkedHashSet[A2])

     Converts this collection of pairs into two collections of the first and second half of each pair.

     Converts this collection of pairs into two collections of the first and second half of each pair.

         val xs = Traversable(
                    (1, "one"),
                    (2, "two"),
                    (3, "three")).unzip
         // xs == (Traversable(1, 2, 3),
         //        Traversable(one, two, three))

     A1

       the type of the first half of the element pairs

     A2

       the type of the second half of the element pairs

     asPair

       an implicit conversion which asserts that the element type of this collection is a pair.

     returns

       a pair of collections, containing the first, respectively second half of each element pair of this collection.

     Definition Classes
       GenericTraversableTemplate
196.  def unzip3[A1, A2, A3](implicit asTriple: (A) ⇒ (A1, A2, A3)): (LinkedHashSet[A1], LinkedHashSet[A2], LinkedHashSet[A3])

     Converts this collection of triples into three collections of the first, second, and third element of each triple.

     Converts this collection of triples into three collections of the first, second, and third element of each triple.

         val xs = Traversable(
                    (1, "one", '1'),
                    (2, "two", '2'),
                    (3, "three", '3')).unzip3
         // xs == (Traversable(1, 2, 3),
         //        Traversable(one, two, three),
         //        Traversable(1, 2, 3))

     A1

       the type of the first member of the element triples

     A2

       the type of the second member of the element triples

     A3

       the type of the third member of the element triples

     asTriple

       an implicit conversion which asserts that the element type of this collection is a triple.

     returns

       a triple of collections, containing the first, second, respectively third member of each element triple of this collection.

     Definition Classes
       GenericTraversableTemplate
197.  def update(elem: A, included: Boolean): Unit

     Updates the presence of a single element in this set.

     Updates the presence of a single element in this set.

     This method allows one to add or remove an element `elem` from this set depending on the value of parameter `included`. Typically, one would use the following syntax:

         set(elem) = true  // adds element
         set(elem) = false // removes element

     elem

       the element to be added or removed

     included

       a flag indicating whether element should be included or excluded.

     Definition Classes
       SetLike
198.  def view(from: Int, until: Int): IterableView[A, LinkedHashSet[A]]

     Creates a non-strict view of a slice of this iterable collection.

     Creates a non-strict view of a slice of this iterable collection.

     Note: the difference between `view` and `slice` is that `view` produces a view of the current iterable collection, whereas `slice` produces a new iterable collection.

     Note: `view(from, to)` is equivalent to `view.slice(from, to)`

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     from

       the index of the first element of the view

     until

       the index of the element following the view

     returns

       a non-strict view of a slice of this iterable collection, starting at index `from` and extending up to (but not including) index `until`.

     Definition Classes
       IterableLike → TraversableLike
199.  def view: IterableView[A, LinkedHashSet[A]]

     Creates a non-strict view of this iterable collection.

     Creates a non-strict view of this iterable collection.

     returns

       a non-strict view of this iterable collection.

     Definition Classes
       IterableLike → TraversableLike
200.  final def wait(): Unit
     Definition Classes
       AnyRef
     Annotations
       @throws( ... )
201.  final def wait(arg0: Long, arg1: Int): Unit
     Definition Classes
       AnyRef
     Annotations
       @throws( ... )
202.  final def wait(arg0: Long): Unit
     Definition Classes
       AnyRef
     Annotations
       @throws( ... )
203.  def withFilter(p: (A) ⇒ Boolean): FilterMonadic[A, LinkedHashSet[A]]

     Creates a non-strict filter of this traversable collection.

     Creates a non-strict filter of this traversable collection.

     Note: the difference between `c filter p` and `c withFilter p` is that the former creates a new collection, whereas the latter only restricts the domain of subsequent `map`, `flatMap`, `foreach`, and `withFilter` operations.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     p

       the predicate used to test elements.

     returns

       an object of class `WithFilter`, which supports `map`, `flatMap`, `foreach`, and `withFilter` operations. All these operations apply to those elements of this traversable collection which satisfy the predicate `p`.

     Definition Classes
       TraversableLike → FilterMonadic
204.  def zip[B](that: GenIterable[B]): LinkedHashSet[(A, B)]

     [use case] Returns a linked hash set formed from this linked hash set and another iterable collection by combining corresponding elements in pairs.

     [use case]

     Returns a linked hash set formed from this linked hash set and another iterable collection by combining corresponding elements in pairs. If one of the two collections is longer than the other, its remaining elements are ignored.

     B

       the type of the second half of the returned pairs

     that

       The iterable providing the second half of each result pair

     returns

       a new linked hash set containing pairs consisting of corresponding elements of this linked hash set and `that`. The length of the returned collection is the minimum of the lengths of this linked hash set and `that`.

     Definition Classes
       IterableLike → GenIterableLike
      Full Signature

     #### def zip[A1 >: A, B, That](that: GenIterable[B])(implicit bf: CanBuildFrom[LinkedHashSet[A], (A1, B), That]): That

205.  def zipAll[B](that: collection.Iterable[B], thisElem: A, thatElem: B): LinkedHashSet[(A, B)]

     [use case] Returns a linked hash set formed from this linked hash set and another iterable collection by combining corresponding elements in pairs.

     [use case]

     Returns a linked hash set formed from this linked hash set and another iterable collection by combining corresponding elements in pairs. If one of the two collections is shorter than the other, placeholder elements are used to extend the shorter collection to the length of the longer.

     B

       the type of the second half of the returned pairs

     that

       The iterable providing the second half of each result pair

     thisElem

       the element to be used to fill up the result if this linked hash set is shorter than `that`.

     thatElem

       the element to be used to fill up the result if `that` is shorter than this linked hash set.

     returns

       a new linked hash set containing pairs consisting of corresponding elements of this linked hash set and `that`. The length of the returned collection is the maximum of the lengths of this linked hash set and `that`. If this linked hash set is shorter than `that`, `thisElem` values are used to pad the result. If `that` is shorter than this linked hash set, `thatElem` values are used to pad the result.

     Definition Classes
       IterableLike → GenIterableLike
      Full Signature

     #### def zipAll[B, A1 >: A, That](that: GenIterable[B], thisElem: A1, thatElem: B)(implicit bf: CanBuildFrom[LinkedHashSet[A], (A1, B), That]): That

206.  def zipWithIndex: LinkedHashSet[(A, Int)]

     [use case] Zips this linked hash set with its indices.

     [use case]

     Zips this linked hash set with its indices.

     returns

       A new linked hash set containing pairs consisting of all elements of this linked hash set paired with their index. Indices start at `0`.

     Definition Classes
       IterableLike → GenIterableLike
      Full Signature

     #### def zipWithIndex[A1 >: A, That](implicit bf: CanBuildFrom[LinkedHashSet[A], (A1, Int), That]): That

     Example:

     1. `List("a", "b", "c").zipWithIndex = List(("a", 0), ("b", 1), ("c", 2))`

207.  def |(that: GenSet[A]): LinkedHashSet[A]

     Computes the union between this set and another set.

     Computes the union between this set and another set.

     Note: Same as `union`.

     that

       the set to form the union with.

     returns

       a new set consisting of all elements that are in this set or in the given set `that`.

     Definition Classes
       GenSetLike
208.  def →[B](y: B): (LinkedHashSet[A], B)
     Implicit
       This member is added by an implicit conversion from LinkedHashSet[A] to ArrowAssoc[LinkedHashSet[A]] performed by method ArrowAssoc in scala.Predef.
     Definition Classes
       ArrowAssoc

### Shadowed Implicit Value Members

1.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from LinkedHashSet[A] to any2stringadd[LinkedHashSet[A]] performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (linkedHashSet: any2stringadd[LinkedHashSet[A]]).+(other)

   Definition Classes
     any2stringadd
2.  def filter(p: (A) ⇒ Boolean): TraversableOnce[A]
   Implicit
     This member is added by an implicit conversion from LinkedHashSet[A] to MonadOps[A] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (linkedHashSet: MonadOps[A]).filter(p)

   Definition Classes
     MonadOps
3.  def flatMap[B](f: (A) ⇒ GenTraversableOnce[B]): TraversableOnce[B]
   Implicit
     This member is added by an implicit conversion from LinkedHashSet[A] to MonadOps[A] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (linkedHashSet: MonadOps[A]).flatMap(f)

   Definition Classes
     MonadOps
4.  def map[B](f: (A) ⇒ B): TraversableOnce[B]
   Implicit
     This member is added by an implicit conversion from LinkedHashSet[A] to MonadOps[A] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (linkedHashSet: MonadOps[A]).map(f)

   Definition Classes
     MonadOps
5.  def withFilter(p: (A) ⇒ Boolean): Iterator[A]
   Implicit
     This member is added by an implicit conversion from LinkedHashSet[A] to MonadOps[A] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (linkedHashSet: MonadOps[A]).withFilter(p)

   Definition Classes
     MonadOps

### Deprecated Value Members

1.  def <<(cmd: Message[A]): Unit

   Send a message to this scriptable object.

   Send a message to this scriptable object.

   cmd

     the message to send.

   Definition Classes
     SetLike → Scriptable
   Annotations
     @deprecated
   Deprecated

     (Since version 2.11.0) scripting is deprecated

   Exceptions thrown

     `UnsupportedOperationException` if the message was not understood.

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from HashTable[A, LinkedHashSet.Entry[A]]

### Inherited from HashUtils[A]

### Inherited from AbstractSet[A]

### Inherited from Set[A]

### Inherited from SetLike[A, LinkedHashSet[A]]

### Inherited from Cloneable[Set[A]]

### Inherited from scala.Cloneable

### Inherited from java.lang.Cloneable

### Inherited from Shrinkable[A]

### Inherited from Builder[A, LinkedHashSet[A]]

### Inherited from Growable[A]

### Inherited from Clearable

### Inherited from Scriptable[A]

### Inherited from collection.Set[A]

### Inherited from collection.SetLike[A, LinkedHashSet[A]]

### Inherited from Subtractable[A, LinkedHashSet[A]]

### Inherited from GenSet[A]

### Inherited from GenericSetTemplate[A, LinkedHashSet]

### Inherited from GenSetLike[A, LinkedHashSet[A]]

### Inherited from (A) ⇒ Boolean

### Inherited from AbstractIterable[A]

### Inherited from Iterable[A]

### Inherited from Traversable[A]

### Inherited from Mutable

### Inherited from collection.AbstractIterable[A]

### Inherited from collection.Iterable[A]

### Inherited from IterableLike[A, LinkedHashSet[A]]

### Inherited from Equals

### Inherited from GenIterable[A]

### Inherited from GenIterableLike[A, LinkedHashSet[A]]

### Inherited from AbstractTraversable[A]

### Inherited from collection.Traversable[A]

### Inherited from GenTraversable[A]

### Inherited from GenericTraversableTemplate[A, LinkedHashSet]

### Inherited from TraversableLike[A, LinkedHashSet[A]]

### Inherited from GenTraversableLike[A, LinkedHashSet[A]]

### Inherited from Parallelizable[A, ParSet[A]]

### Inherited from TraversableOnce[A]

### Inherited from GenTraversableOnce[A]

### Inherited from FilterMonadic[A, LinkedHashSet[A]]

### Inherited from HasNewBuilder[A, scala.collection.mutable.LinkedHashSet[A] @scala.annotation.unchecked.uncheckedVariance]

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion CollectionsHaveToParArray from LinkedHashSet[A] to CollectionsHaveToParArray[LinkedHashSet[A], T]

### Inherited by implicit conversion MonadOps from LinkedHashSet[A] to MonadOps[A]

### Inherited by implicit conversion any2stringadd from LinkedHashSet[A] to any2stringadd[LinkedHashSet[A]]

### Inherited by implicit conversion StringFormat from LinkedHashSet[A] to StringFormat[LinkedHashSet[A]]

### Inherited by implicit conversion Ensuring from LinkedHashSet[A] to Ensuring[LinkedHashSet[A]]

### Inherited by implicit conversion ArrowAssoc from LinkedHashSet[A] to ArrowAssoc[LinkedHashSet[A]]

### Inherited by implicit conversion alternateImplicit from LinkedHashSet[A] to ForceImplicitAmbiguity

### Ungrouped